dsc-datatool-generator client_subnet_authority(7)

NAME
client_subnet_authority - Generates network authority information (RIR) based on client subnet.

SYNOPSIS
dsc-datatool --generator ";client_subnet_authority;<options...>"

DESCRIPTION
This generator will lookup the network authority (RIR) based network information in the client_subnet dataset and generate a new dataset client_subnet_authority.

The network authority lookup will be done from imports of CSV files or by fetching the required data from IANA.

OPTIONS

csv=<files>
    Read the network authority information from the given file(s). This option can be a single file, a list of comma separated files or given multiple times.

fetch=yes
    Fetch the network authority information from IANA IP address space registry for IPv4 and IPv6.

urlv4=url
    URL for IANA IPv4 address space registry, default to https://www.iana.org/assignments/ipv4-address-space/ipv4-address-space.csv.

urlv6=url
    URL for IANA IPv6 address space registry, default to https://www.iana.org/assignments/ipv6-unicast-address-assignments/ipv6-unicast-address-assignments.csv.

nonstrict=<value>
    If set (to any value) then a non-strict mode is enabled which will disregard any bad data in the dataset, skipping it completely. Default is strict mode.

SEE ALSO
dsc-datatool(1)

AUTHORS
Jerry Lundström, DNS-OARC

Maintained by DNS-OARC

    https://www.dns-oarc.net/tools/dsc

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dsc-datatool/issues

For question and help please use:

    https://lists.dns-oarc.net/mailman/listinfo/dsc